HP-UX 11i ELF-64 PA-RISC2.0 version of Python? - HP UX

This is a discussion on HP-UX 11i ELF-64 PA-RISC2.0 version of Python? - HP UX ; We're in need of Python for an HP-UX 11.11 PA-RISC2.0 machine built with +DD64. The porting centre doesn't have this particular combination. It doesn't much matter which version of Python. Is this available somewhere? Thanks! Craig...

+ Reply to Thread
Results 1 to 7 of 7

Thread: HP-UX 11i ELF-64 PA-RISC2.0 version of Python?

  1. HP-UX 11i ELF-64 PA-RISC2.0 version of Python?

    We're in need of Python for an HP-UX 11.11 PA-RISC2.0 machine built with
    +DD64. The porting centre doesn't have this particular combination. It
    doesn't much matter which version of Python. Is this available somewhere?

    Thanks!
    Craig

  2. Re: HP-UX 11i ELF-64 PA-RISC2.0 version of Python?

    Craig A. Roloff wrote:
    > We're in need of Python for an HP-UX 11.11 PA-RISC2.0 machine built
    > with +DD64. The porting centre doesn't have this particular
    > combination. It doesn't much matter which version of Python. Is
    > this available somewhere?


    Why not just take the source the centre has ported and slap a +DD64
    onto it?

    rick jones
    --
    oxymoron n, Hummer H2 with California Save Our Coasts and Oceans plates
    these opinions are mine, all mine; HP might not want them anyway...
    feel free to post, OR email to rick.jones2 in hp.com but NOT BOTH...

  3. Re: HP-UX 11i ELF-64 PA-RISC2.0 version of Python?

    Rick Jones wrote:
    > Craig A. Roloff wrote:
    >
    >>We're in need of Python for an HP-UX 11.11 PA-RISC2.0 machine built
    >>with +DD64. The porting centre doesn't have this particular
    >>combination. It doesn't much matter which version of Python. Is
    >>this available somewhere?

    >
    >
    > Why not just take the source the centre has ported and slap a +DD64
    > onto it?


    We will if there are no other alternatives. The web page shows 40 build
    time dependencies so it won't be a trivial effort.

  4. Re: HP-UX 11i ELF-64 PA-RISC2.0 version of Python?

    Craig A. Roloff wrote:
    > Rick Jones wrote:
    >> Craig A. Roloff wrote:
    >>
    >>>We're in need of Python for an HP-UX 11.11 PA-RISC2.0 machine built
    >>>with +DD64. The porting centre doesn't have this particular
    >>>combination. It doesn't much matter which version of Python. Is
    >>>this available somewhere?

    >>
    >>
    >> Why not just take the source the centre has ported and slap a +DD64
    >> onto it?


    > We will if there are no other alternatives. The web page shows 40 build
    > time dependencies so it won't be a trivial effort.


    Oy, I'd not seen that when I was looking quickly. It might be
    worthwhile asking the librarian to cook one up.

    How big a project/application is this that it needs a 64-bit Python?!?

    rick jones
    --
    No need to believe in either side, or any side. There is no cause.
    There's only yourself. The belief is in your own precision. - Jobert
    these opinions are mine, all mine; HP might not want them anyway...
    feel free to post, OR email to rick.jones2 in hp.com but NOT BOTH...

  5. Re: HP-UX 11i ELF-64 PA-RISC2.0 version of Python?

    Rick Jones wrote:
    > Craig A. Roloff wrote:
    >
    >>Rick Jones wrote:
    >>
    >>>Craig A. Roloff wrote:
    >>>
    >>>
    >>>>We're in need of Python for an HP-UX 11.11 PA-RISC2.0 machine built
    >>>>with +DD64. The porting centre doesn't have this particular
    >>>>combination. It doesn't much matter which version of Python. Is
    >>>>this available somewhere?
    >>>
    >>>
    >>>Why not just take the source the centre has ported and slap a +DD64
    >>>onto it?

    >
    >
    >>We will if there are no other alternatives. The web page shows 40 build
    >>time dependencies so it won't be a trivial effort.

    >
    >
    > Oy, I'd not seen that when I was looking quickly. It might be
    > worthwhile asking the librarian to cook one up.
    >
    > How big a project/application is this that it needs a 64-bit Python?!?


    The application isn't big but it needs to import some shared libraries
    that are 64-bit.

  6. Re: HP-UX 11i ELF-64 PA-RISC2.0 version of Python?


    > > How big a project/application is this that it needs a 64-bit Python?!?

    >
    > The application isn't big but it needs to import some shared libraries
    > that are 64-bit.


    Can you say what those shared libraries are? HP works very hard
    to persuade library providers not to make the mistake of providing
    their products in only one data model.


    - Carl Burch

    HP WDB Team


  7. Re: HP-UX 11i ELF-64 PA-RISC2.0 version of Python?

    Carl Burch wrote:
    >>>How big a project/application is this that it needs a 64-bit Python?!?

    >>
    >>The application isn't big but it needs to import some shared libraries
    >>that are 64-bit.

    >
    >
    > Can you say what those shared libraries are? HP works very hard
    > to persuade library providers not to make the mistake of providing
    > their products in only one data model.


    We need to create a shared library for a 64-bit application (Tecplot).
    Our shared library uses an object request broker, omniORB. So we're
    trying to build a 64-bit version of omniORB. During the omniORB build
    process, python is run, importing some of the shared libraries that the
    process created. Thus we need a 64-bit python.

+ Reply to Thread